Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cayenne.remote.hessian
Class EnumSerializerProxy

    java.lang.Object
      com.caucho.hessian.io.AbstractSerializerFactory
          org.apache.cayenne.remote.hessian.EnumSerializerProxy

    public class EnumSerializerProxy

extends com.caucho.hessian.io.AbstractSerializerFactory

A JDK14 compatible wrapper for JDK15 EnumSerializer proxy. Under JDK 1.4 this object does nothing.

Since:
  1.2
Author:
  Andrus Adamchik

Constructor Summary
`EnumSerializerProxy()`

Method Summary
`com.caucho.hessian.io.Deserializer` | `getDeserializer(java.lang.Class cl)`
`com.caucho.hessian.io.Serializer` | `getSerializer(java.lang.Class cl)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EnumSerializerProxy

    public EnumSerializerProxy()

Method Detail

### getSerializer

    public com.caucho.hessian.io.Serializer getSerializer(java.lang.Class cl)
                                                   throws com.caucho.hessian.io.HessianProtocolException

  Specified by:
    `getSerializer` in class `com.caucho.hessian.io.AbstractSerializerFactory`
  Throws:
    `com.caucho.hessian.io.HessianProtocolException`

### getDeserializer

    public com.caucho.hessian.io.Deserializer getDeserializer(java.lang.Class cl)
                                                       throws com.caucho.hessian.io.HessianProtocolException

  Specified by:
    `getDeserializer` in class `com.caucho.hessian.io.AbstractSerializerFactory`
  Throws:
    `com.caucho.hessian.io.HessianProtocolException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2006 Apache.org All Rights Reserved.